import Vue from 'vue';
import MyModal from '../components/system-upgrade-dialog.vue';

const modalConstructor = Vue.extend(MyModal);

const createModal = () => {
  const instance = new modalConstructor();
  instance.$mount();
  document.body.appendChild(instance.$el);
  return instance;
};

export default createModal;
